<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: frontend/src/lib/Main Window/lobby.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_ca0386ec887ae6362f93b0d653b52e0c.html">frontend</a></li><li class="navelem"><a class="el" href="dir_debbd63f1d8db984f7ce6be7690dc411.html">src</a></li><li class="navelem"><a class="el" href="dir_4a296fb22e14d54e648023a35f56bd71.html">lib</a></li><li class="navelem"><a class="el" href="dir_975d5d2dd149c960a63cfc1fda02739a.html">Main Window</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">lobby.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="lobby_8h_source.html">lobby.h</a>&quot;</code><br />
<code>#include &quot;ui_lobby.h&quot;</code><br />
<code>#include &lt;QPixmap&gt;</code><br />
<code>#include &lt;QPalette&gt;</code><br />
<code>#include &lt;QBrush&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for lobby.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="lobby_8cpp__incl.png" border="0" usemap="#frontend_2src_2lib_2Main_01Window_2lobby_8cpp" alt=""/></div>
<map name="frontend_2src_2lib_2Main_01Window_2lobby_8cpp" id="frontend_2src_2lib_2Main_01Window_2lobby_8cpp">
<area shape="rect" title=" " alt="" coords="942,5,1098,47"/>
<area shape="rect" href="lobby_8h.html" title=" " alt="" coords="986,95,1054,121"/>
<area shape="rect" title=" " alt="" coords="290,319,371,345"/>
<area shape="rect" title=" " alt="" coords="2376,319,2453,345"/>
<area shape="rect" title=" " alt="" coords="196,319,265,345"/>
<area shape="rect" title=" " alt="" coords="3898,95,3985,121"/>
<area shape="rect" title=" " alt="" coords="549,319,665,345"/>
<area shape="rect" title=" " alt="" coords="2225,557,2351,584"/>
<area shape="rect" title=" " alt="" coords="3053,557,3107,584"/>
<area shape="rect" title=" " alt="" coords="1211,557,1301,584"/>
<area shape="rect" title=" " alt="" coords="94,557,181,584"/>
<area shape="rect" href="config_8h.html" title=" " alt="" coords="597,557,670,584"/>
<area shape="rect" href="globals_8h.html" title=" " alt="" coords="2583,475,2665,502"/>
<area shape="rect" href="settingsservice_8h.html" title=" " alt="" coords="1428,475,1561,502"/>
<area shape="rect" href="gamestateservice_8h.html" title=" " alt="" coords="710,393,861,420"/>
<area shape="rect" href="NetworkService_8hpp.html" title=" " alt="" coords="185,468,343,509"/>
<area shape="rect" href="hostgame_8h.html" title=" " alt="" coords="869,169,968,196"/>
<area shape="rect" title=" " alt="" coords="381,632,440,659"/>
<area shape="rect" title=" " alt="" coords="808,557,888,584"/>
<area shape="rect" title=" " alt="" coords="1458,557,1531,584"/>
<area shape="rect" title=" " alt="" coords="1045,557,1120,584"/>
<area shape="rect" title=" " alt="" coords="1329,557,1431,584"/>
<area shape="rect" title=" " alt="" coords="671,475,742,502"/>
<area shape="rect" title=" " alt="" coords="970,475,1065,502"/>
<area shape="rect" title=" " alt="" coords="205,557,272,584"/>
<area shape="rect" title=" " alt="" coords="297,557,373,584"/>
<area shape="rect" title=" " alt="" coords="449,557,573,584"/>
<area shape="rect" title=" " alt="" coords="3308,393,3468,420"/>
<area shape="rect" title=" " alt="" coords="829,244,982,271"/>
<area shape="rect" href="Chat_8h.html" title=" " alt="" coords="2241,319,2351,345"/>
<area shape="rect" href="table_8h.html" title=" " alt="" coords="1197,244,1264,271"/>
<area shape="rect" title=" " alt="" coords="2433,393,2567,420"/>
<area shape="rect" title=" " alt="" coords="1226,393,1305,420"/>
<area shape="rect" title=" " alt="" coords="2591,393,2678,420"/>
<area shape="rect" title=" " alt="" coords="2702,393,2786,420"/>
<area shape="rect" title=" " alt="" coords="2810,393,2870,420"/>
<area shape="rect" title=" " alt="" coords="2997,393,3081,420"/>
<area shape="rect" title=" " alt="" coords="1583,393,1678,420"/>
<area shape="rect" title=" " alt="" coords="3105,393,3183,420"/>
<area shape="rect" title=" " alt="" coords="1855,393,1921,420"/>
<area shape="rect" title=" " alt="" coords="1945,393,2108,420"/>
<area shape="rect" title=" " alt="" coords="2133,393,2241,420"/>
<area shape="rect" title=" " alt="" coords="2265,393,2327,420"/>
<area shape="rect" title=" " alt="" coords="2351,393,2409,420"/>
<area shape="rect" href="cardwidget_8h.html" title=" " alt="" coords="1044,319,1151,345"/>
<area shape="rect" title=" " alt="" coords="993,393,1100,420"/>
<area shape="rect" title=" " alt="" coords="1226,319,1323,345"/>
<area shape="rect" title=" " alt="" coords="1347,319,1418,345"/>
<area shape="rect" title=" " alt="" coords="1443,319,1517,345"/>
<area shape="rect" title=" " alt="" coords="1541,319,1640,345"/>
<area shape="rect" title=" " alt="" coords="1664,319,1741,345"/>
<area shape="rect" title=" " alt="" coords="1766,319,1917,345"/>
</map>
</div>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
